import { OnChanges, OnDestroy, Renderer2, SimpleChanges } from '@angular/core';
import { HighlightTag } from './highlight-tag.interface';
export declare class TextInputHighlightComponent implements OnChanges, OnDestroy {
    private renderer;
    /**
     * The CSS class to add to highlighted tags
     */
    tagCssClass: string;
    /**
     * An array of indices of the textarea value to highlight
     */
    tags: HighlightTag[];
    /**
     * The textarea to highlight. Currently only works with textareas.
     */
    textInputElement: HTMLTextAreaElement;
    /**
     * @private
     */
    highlightElementContainerStyle: {
        [key: string]: string;
    };
    /**
     * @private
     */
    highlightedText: string;
    private highlightElement;
    private textareaEventListeners;
    constructor(renderer: Renderer2);
    /**
     * @private
     */
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * @private
     */
    ngOnDestroy(): void;
    private textInputElementChanged();
    private addTags();
}
