/**
 * angular-text-input-highlight - A component that can highlight parts of text in a textarea. Useful for displaying mentions etc
 * @version v1.0.4
 * @author Matt Lewis
 * @link https://github.com/mattlewis92/angular-text-input-highlight#readme
 * @license MIT
 */
!function(t,e){"object"==typeof exports&&"object"==typeof module?module.exports=e(require("@angular/core"),require("@angular/common")):"function"==typeof define&&define.amd?define(["@angular/core","@angular/common"],e):"object"==typeof exports?exports.angularTextInputHighlight=e(require("@angular/core"),require("@angular/common")):t.angularTextInputHighlight=e(t.ng.core,t.ng.common)}(this,function(t,e){return function(t){function e(i){if(n[i])return n[i].exports;var r=n[i]={i:i,l:!1,exports:{}};return t[i].call(r.exports,r,r.exports,e),r.l=!0,r.exports}var n={};return e.m=t,e.c=n,e.d=function(t,n,i){e.o(t,n)||Object.defineProperty(t,n,{configurable:!1,enumerable:!0,get:i})},e.n=function(t){var n=t&&t.__esModule?function(){return t.default}:function(){return t};return e.d(n,"a",n),n},e.o=function(t,e){return Object.prototype.hasOwnProperty.call(t,e)},e.p="",e(e.s=1)}([function(e,n){e.exports=t},function(t,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),function(t){for(var n in t)e.hasOwnProperty(n)||(e[n]=t[n])}(n(2))},function(t,e,n){"use strict";var i=this&&this.__decorate||function(t,e,n,i){var r,o=arguments.length,a=o<3?e:null===i?i=Object.getOwnPropertyDescriptor(e,n):i;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)a=Reflect.decorate(t,e,n,i);else for(var c=t.length-1;c>=0;c--)(r=t[c])&&(a=(o<3?r(a):o>3?r(e,n,a):r(e,n))||a);return o>3&&a&&Object.defineProperty(e,n,a),a};Object.defineProperty(e,"__esModule",{value:!0});var r=n(0),o=n(3),a=n(4),c=n(5),s=n(6),l=function(){function t(){}return t=i([r.NgModule({declarations:[a.TextInputHighlightComponent,c.TextInputHighlightContainerDirective,s.TextInputElementDirective],imports:[o.CommonModule],exports:[a.TextInputHighlightComponent,c.TextInputHighlightContainerDirective,s.TextInputElementDirective]})],t)}();e.TextInputHighlightModule=l},function(t,n){t.exports=e},function(t,e,n){"use strict";function i(t,e){return e.indices.start<t&&t<e.indices.end}function r(t,e){return i(e.indices.start,t)||i(e.indices.end,t)}var o=this&&this.__decorate||function(t,e,n,i){var r,o=arguments.length,a=o<3?e:null===i?i=Object.getOwnPropertyDescriptor(e,n):i;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)a=Reflect.decorate(t,e,n,i);else for(var c=t.length-1;c>=0;c--)(r=t[c])&&(a=(o<3?r(a):o>3?r(e,n,a):r(e,n))||a);return o>3&&a&&Object.defineProperty(e,n,a),a},a=this&&this.__metadata||function(t,e){if("object"==typeof Reflect&&"function"==typeof Reflect.metadata)return Reflect.metadata(t,e)};Object.defineProperty(e,"__esModule",{value:!0});var c=n(0),s=Object.freeze(["direction","boxSizing","width","height","overflowX","overflowY","borderTopWidth","borderRightWidth","borderBottomWidth","borderLeftWidth","borderStyle","paddingTop","paddingRight","paddingBottom","paddingLeft","fontStyle","fontVariant","fontWeight","fontStretch","fontSize","fontSizeAdjust","lineHeight","fontFamily","textAlign","textTransform","textIndent","textDecoration","letterSpacing","wordSpacing","tabSize","MozTabSize"]),l=function(){function t(t){this.renderer=t,this.tagCssClass="",this.tags=[],this.highlightElementContainerStyle={},this.textareaEventListeners=[]}return t.prototype.ngOnChanges=function(t){t.textInputElement&&this.textInputElementChanged(),(t.tags||t.tagCssClass)&&this.addTags()},t.prototype.ngOnDestroy=function(){this.textareaEventListeners.forEach(function(t){return t()})},t.prototype.textInputElementChanged=function(){var t=this,e=this.textInputElement.tagName.toLowerCase();if("textarea"!==e)throw new Error("The angular-text-input-highlight component must be passed a textarea to the `textInputElement` input. Instead received a "+e);setTimeout(function(){var e=getComputedStyle(t.textInputElement);s.forEach(function(n){t.highlightElementContainerStyle[n]=e[n]}),t.textareaEventListeners.forEach(function(t){return t()}),t.textareaEventListeners=[t.renderer.listen(t.textInputElement,"input",function(){t.addTags()}),t.renderer.listen(t.textInputElement,"scroll",function(){t.highlightElement.nativeElement.scrollTop=t.textInputElement.scrollTop})],t.addTags()})},t.prototype.addTags=function(){var t=this,e=this.textInputElement.value,n=[];this.tags.slice().sort(function(t,e){return e.indices.start-t.indices.start}).forEach(function(i){if(i.indices.start>i.indices.end)throw new Error("Highlight tag with indices ["+i.indices.start+", "+i.indices.end+"] cannot start after it ends.");n.forEach(function(t){if(r(t,i))throw new Error("Highlight tag with indices ["+i.indices.start+", "+i.indices.end+"] overlaps with tag ["+t.indices.start+", "+t.indices.end+"]")});var o=e.slice(0,i.indices.start),a=e.slice(i.indices.end),c=i.indices.end-i.indices.start,s=e.slice(i.indices.start,i.indices.end);if(s.length===c){var l=i.cssClass||t.tagCssClass;e=o+'<span class="text-highlight-tag'+(l?" ":"")+l+'">'+s+"</span>"+a,n.push(i)}}),this.highlightedText=e+"&nbsp;"},o([c.Input(),a("design:type",String)],t.prototype,"tagCssClass",void 0),o([c.Input(),a("design:type",Array)],t.prototype,"tags",void 0),o([c.Input(),a("design:type",HTMLTextAreaElement)],t.prototype,"textInputElement",void 0),o([c.ViewChild("highlightElement"),a("design:type",c.ElementRef)],t.prototype,"highlightElement",void 0),t=o([c.Component({selector:"mwl-text-input-highlight",template:'\n    <div\n      class="text-highlight-element"\n      [ngStyle]="highlightElementContainerStyle"\n      [innerHtml]="highlightedText"\n      #highlightElement>\n    </div>\n  '}),a("design:paramtypes",[c.Renderer2])],t)}();e.TextInputHighlightComponent=l},function(t,e,n){"use strict";var i=this&&this.__decorate||function(t,e,n,i){var r,o=arguments.length,a=o<3?e:null===i?i=Object.getOwnPropertyDescriptor(e,n):i;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)a=Reflect.decorate(t,e,n,i);else for(var c=t.length-1;c>=0;c--)(r=t[c])&&(a=(o<3?r(a):o>3?r(e,n,a):r(e,n))||a);return o>3&&a&&Object.defineProperty(e,n,a),a};Object.defineProperty(e,"__esModule",{value:!0});var r=n(0),o=function(){function t(){}return t=i([r.Directive({selector:"[mwlTextInputHighlightContainer]",host:{"[class.text-input-highlight-container]":"true"}})],t)}();e.TextInputHighlightContainerDirective=o},function(t,e,n){"use strict";var i=this&&this.__decorate||function(t,e,n,i){var r,o=arguments.length,a=o<3?e:null===i?i=Object.getOwnPropertyDescriptor(e,n):i;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)a=Reflect.decorate(t,e,n,i);else for(var c=t.length-1;c>=0;c--)(r=t[c])&&(a=(o<3?r(a):o>3?r(e,n,a):r(e,n))||a);return o>3&&a&&Object.defineProperty(e,n,a),a};Object.defineProperty(e,"__esModule",{value:!0});var r=n(0),o=function(){function t(){}return t=i([r.Directive({selector:"textarea[mwlTextInputElement]",host:{"[class.text-input-element]":"true"}})],t)}();e.TextInputElementDirective=o}])});
//# sourceMappingURL=angular-text-input-highlight.umd.min.js.map